LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08676Bug reports[All Projects] Survey designpublic2014-02-06 18:052014-02-12 21:20
Reporterrfaber 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08676: Adding answer options impossible in IE9: Issue 8635 not resolved in 2.05+ 140204.
DescriptionSorry to find this again, please reopen issue 8635, since is looks as if not related to 8636.
IE9 standards mode or forced standards mode makes no difference.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID2.05+ 140204
BrowserIE9.0.8112
Database & DB-VersionMySQL 5.0.90
Operating System (Server)FreeBSD 6.3
Webserver software & versionApache 20051115
PHP Version5.3.2
Attached Filespng file icon ie9.png [^] (31,933 bytes) 2014-02-11 14:20

- Relationships

-  Notes
User avatar (28550)
rfaber (reporter)
2014-02-07 12:12

It would be usefull to know if this is also a problem outside our campus if someone uses IE9. It might be due to a security policy in our IE9 installation?
User avatar (28551)
DenisChenu (developer)
2014-02-07 15:02
edited on: 2014-02-07 15:03

Sorry, can not have IE9 to do some test ...

Some dev have IE 9 ?

(I try with IE8)

User avatar (28558)
c_schmitz (administrator)
2014-02-07 16:18

Afaik this is also caused by

https://github.com/LimeSurvey/LimeSurvey/commit/2c0a176e9e801b7bc4b620e1d2c1b9175519ef9e [^]

checkValidity() is not available in IE9
User avatar (28560)
c_schmitz (administrator)
2014-02-07 16:28

btw, you can always use http://www.microsoft.com/en-us/download/details.aspx?id=11575 [^]
User avatar (28562)
DenisChenu (developer)
2014-02-07 16:57
edited on: 2014-02-07 16:58

OK thanks

But not for my system : Windows 7, Windows Vista, Windows XP

User avatar (28563)
DenisChenu (developer)
2014-02-07 19:36

@rfaber : if you can do some test with IE9 and last GIT version.
I test in IE8 : it's OK now.
User avatar (28592)
rfaber (reporter)
2014-02-10 12:03

Thanks for your effort, but still not working in IE9 (GIT version 20140209).
User avatar (28593)
DenisChenu (developer)
2014-02-10 12:13

Hi,

Did you have some javascript bug ? Seems you can have a console on IE9: http://msdn.microsoft.com/fr-fr/library/ie/gg589530%28v=vs.85%29.aspx [^]

Did you clean your cache ?
User avatar (28594)
c_schmitz (administrator)
2014-02-10 12:15

Yeah, cleaning the cache is a must.
User avatar (28597)
rfaber (reporter)
2014-02-10 13:53

Cache cleaned, IE restarted and cleaned again (tools - safety - clean browser cache - all items deleted). No improvement. I'll try to install some debugging tools, might take a while.
User avatar (28598)
DenisChenu (developer)
2014-02-10 14:58
edited on: 2014-02-10 15:01

Tested with IE in VirtualBox : IE 9.0.8112.16421 : no problem here.

Can not reproduce ....


PS: only F12, no need another tool !

User avatar (28606)
Mazi (developer)
2014-02-11 14:19

I CAN reproduce this problem using Chrome Add-On "IE Tab" and setting it to Internet Explorer 9 mode.
The drop downs look a little ugly (see screenshot) and when adding/deleting answers, nothing happens. Same with using quick-add or similar features on that page.
User avatar (28607)
DenisChenu (developer)
2014-02-11 14:27

IE9 have border-radius http://caniuse.com/#feat=border-radius [^]

Then there are something different between 2 version of IE9 here.
User avatar (28611)
DenisChenu (developer)
2014-02-11 15:08
edited on: 2014-02-11 15:08

Tony, i need your help here. I really can't fix this issue because i can reproduce it in IE9. Maybe you have some idea ?

The only thing i think it can be 'bad' in some situation are : https://github.com/LimeSurvey/LimeSurvey/commit/d3267d0b71e9152bc7cb6be2df0596940bf3231e#diff-cdc9cbbed18926acf63de54b18ad793fR20 [^]

We can remove it and don't do any "HTML5" validity update but i think it's a bad idea.

PS: give me back after see it

User avatar (28642)
DenisChenu (developer)
2014-02-12 10:34

And for confiraltion : a video : http://www.sondages.pro/IMG/TEMPO/Virtual-IE9.webm [^]
User avatar (28646)
tpartner (developer)
2014-02-12 14:07

Show off :)

Sorry Denis, I cannot reproduce this on a standalone version of IE 9.0.21 or when forcing IE 10 into IE 9 mode.
User avatar (28647)
Mazi (developer)
2014-02-12 14:20

Denis, just test with Chrome and this add-on: https://chrome.google.com/webstore/detail/ie-tab/hehijbfgiekmjfkfjpbkbammjbdenadd?hl=fr [^]

That's how I could reproduce the problem. OS: Windows 7.
User avatar (28648)
c_schmitz (administrator)
2014-02-12 14:35

IETab defaults to IE7 standard mode (as also can be seen on the screenshots on the product web site).

I can only think of the possible explanation that the rfabers IE9 is running in compatibility/intranet mode (which is not supported by LimeSurvey). In that case rfaber might have to reconfigure his webserver to set proper headers. There a couple solutions for this problem if you google, but this cannot be resolved by LimeSurvey.

Anyway, I think we can close this now since we all determined that it is running fine on a normal IE9 or a decent web browser.
User avatar (28649)
Mazi (developer)
2014-02-12 14:43

I agree.
User avatar (28650)
DenisChenu (developer)
2014-02-12 15:19

Ok,

But strange behaviour of rfaber browser here ..

Thanks for return Tony, and thanks for the IEtab information Carsten
User avatar (28651)
DenisChenu (developer)
2014-02-12 15:20

Work on IE8 with IE8 mode and IE9 with IE9 mode.
User avatar (28665)
rfaber (reporter)
2014-02-12 19:50

Thanks for your effort. As noted before, there could be - and it seems to be - a problem due to local 'security' policy on our campus, with no improvement in sight. Hélas.
And about the F12 option: also this was disabled, because 'another application already used that key'. So sad. The disadvantage of being on a big campus. As a workaround we are lucky to have portable Chrome or Firefox at hand.
Again thank you all.
User avatar (28670)
c_schmitz (administrator)
2014-02-12 21:20

2.05+ Build 140212 released

- Related Changesets
LimeSurvey: master d3267d0b
Timestamp: 2014-02-07 18:01:49
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue # 08676: Adding answer options impossible in IE9
Dev: tested on IE8 (broke save & return IE7 button)
Dev: Fix another IE8 js issue in sub question
mod - application/controllers/admin/database.php Diff ] File ]
mod - application/views/admin/survey/Question/editQuestion_view.php Diff ] File ]
mod - scripts/admin/admin_core.js Diff ] File ]
mod - scripts/admin/questions.js Diff ] File ]
mod - scripts/admin/surveytoolbar.js Diff ] File ]
mod - styles/blobblueish/adminstyle.css Diff ] File ]
LimeSurvey: master 749ebd3f
Timestamp: 2014-02-07 18:35:10
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Dev: add required title in Question model. Don't view any issue (even with copy/import)
Dev: this fix ability to save emty title with midori (for example)
Dev: add required attribut to sub question (PHP, js is already done)
mod - application/models/Question.php Diff ] File ]
mod - application/views/admin/survey/Question/subQuestion_view.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-06 18:05 rfaber New Issue
2014-02-07 12:12 rfaber Note Added: 28550
2014-02-07 14:52 c_schmitz Assigned To => DenisChenu
2014-02-07 14:52 c_schmitz Status new => assigned
2014-02-07 15:02 DenisChenu Note Added: 28551
2014-02-07 15:02 DenisChenu Assigned To DenisChenu =>
2014-02-07 15:02 DenisChenu Assigned To => DenisChenu
2014-02-07 15:02 DenisChenu Status assigned => new
2014-02-07 15:02 DenisChenu Assigned To DenisChenu =>
2014-02-07 15:03 DenisChenu Note Edited: 28551 View Revisions
2014-02-07 16:18 c_schmitz Note Added: 28558
2014-02-07 16:19 c_schmitz Assigned To => DenisChenu
2014-02-07 16:19 c_schmitz Status new => assigned
2014-02-07 16:28 c_schmitz Note Added: 28560
2014-02-07 16:57 DenisChenu Note Added: 28562
2014-02-07 16:58 DenisChenu Note Edited: 28562 View Revisions
2014-02-07 19:36 DenisChenu Note Added: 28563
2014-02-07 19:36 DenisChenu Status assigned => feedback
2014-02-07 19:36 DenisChenu Status feedback => resolved
2014-02-07 19:36 DenisChenu Fixed in Version => 2.05+
2014-02-07 19:36 DenisChenu Resolution open => fixed
2014-02-07 19:47 DenisChenu Changeset attached => LimeSurvey master 749ebd3f
2014-02-07 19:48 DenisChenu Changeset attached => LimeSurvey master d3267d0b
2014-02-10 12:03 rfaber Note Added: 28592
2014-02-10 12:13 DenisChenu Note Added: 28593
2014-02-10 12:13 DenisChenu Status resolved => assigned
2014-02-10 12:15 c_schmitz Note Added: 28594
2014-02-10 13:53 rfaber Note Added: 28597
2014-02-10 14:58 DenisChenu Note Added: 28598
2014-02-10 15:01 DenisChenu Note Edited: 28598 View Revisions
2014-02-10 15:01 DenisChenu Note Edited: 28598 View Revisions
2014-02-10 15:31 DenisChenu Status assigned => feedback
2014-02-11 14:19 Mazi Note Added: 28606
2014-02-11 14:20 Mazi File Added: ie9.png
2014-02-11 14:27 DenisChenu Note Added: 28607
2014-02-11 15:06 DenisChenu Assigned To DenisChenu => tpartner
2014-02-11 15:06 DenisChenu Status feedback => assigned
2014-02-11 15:08 DenisChenu Note Added: 28611
2014-02-11 15:08 DenisChenu Note Edited: 28611 View Revisions
2014-02-12 10:34 DenisChenu Note Added: 28642
2014-02-12 14:07 tpartner Note Added: 28646
2014-02-12 14:07 tpartner Assigned To tpartner => DenisChenu
2014-02-12 14:20 Mazi Note Added: 28647
2014-02-12 14:35 c_schmitz Note Added: 28648
2014-02-12 14:43 Mazi Note Added: 28649
2014-02-12 15:19 DenisChenu Note Added: 28650
2014-02-12 15:20 DenisChenu Note Added: 28651
2014-02-12 15:20 DenisChenu Status assigned => resolved
2014-02-12 19:50 rfaber Note Added: 28665
2014-02-12 21:20 c_schmitz Note Added: 28670
2014-02-12 21:20 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker